<?php
namespace Bushelpowered\Api\Platform\Connection\V1\Response;
        
class CreateOrUpdateConnectionResponse 
{
    public string $connectionId;
    public string $accountId;
    public string $sourceAccountId;
    public string $accountName;
    public string $featureId;
    public string $featureName;
    public ?bool $isConnected = null;
    /** @var null|string $createdAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $createdAt = null;
    /** @var null|string $updatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $updatedAt = null;

    /**
     * @param  null|string  $createdAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  null|string  $updatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $connectionId, string $accountId, string $sourceAccountId, string $accountName, string $featureId, string $featureName, ?bool $isConnected, ?string $createdAt, ?string $updatedAt)
    {
        $this->connectionId = $connectionId;
        $this->accountId = $accountId;
        $this->sourceAccountId = $sourceAccountId;
        $this->accountName = $accountName;
        $this->featureId = $featureId;
        $this->featureName = $featureName;
        $this->isConnected = $isConnected;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
    }
    

}