<?php
namespace Bushelpowered\Api\Platform\Branding\V1\Request;
        
class UpdateBrandRequest 
{
    public string $id;
    public string $colorPrimary;
    public string $colorSecondary;
    public ?\Bushelpowered\Dev\Bidl\Builtins\Presence $launcherImage = null;
    public ?\Bushelpowered\Dev\Bidl\Builtins\Presence $iosAppIconImage = null;
    public ?\Bushelpowered\Dev\Bidl\Builtins\Presence $logoIconImage = null;
    public ?\Bushelpowered\Dev\Bidl\Builtins\Presence $logoStackedImage = null;
    public ?\Bushelpowered\Dev\Bidl\Builtins\Presence $iosSplashScreenImage = null;
    public bool $hideBushelBranding;

    /**
     */
    public function __construct(string $id, string $colorPrimary, string $colorSecondary, ?\Bushelpowered\Dev\Bidl\Builtins\Presence $launcherImage, ?\Bushelpowered\Dev\Bidl\Builtins\Presence $iosAppIconImage, ?\Bushelpowered\Dev\Bidl\Builtins\Presence $logoIconImage, ?\Bushelpowered\Dev\Bidl\Builtins\Presence $logoStackedImage, ?\Bushelpowered\Dev\Bidl\Builtins\Presence $iosSplashScreenImage, bool $hideBushelBranding)
    {
        $this->id = $id;
        $this->colorPrimary = $colorPrimary;
        $this->colorSecondary = $colorSecondary;
        $this->launcherImage = $launcherImage;
        $this->iosAppIconImage = $iosAppIconImage;
        $this->logoIconImage = $logoIconImage;
        $this->logoStackedImage = $logoStackedImage;
        $this->iosSplashScreenImage = $iosSplashScreenImage;
        $this->hideBushelBranding = $hideBushelBranding;
    }
    

}